# VecStrideScaleAll

Scales the subvectors of a vector defined by a starting point and a stride.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecStrideScaleAll(Vec v,PetscScalar *scales)

Collective on Vec

### Input Parameter

| v | - the vector
| scales | - values to multiply each subvector entry by

### Notes

One must call VecSetBlockSize() before this routine to set the stride information, or use a vector created from a multicomponent DA.

### See Also

VecNorm(), VecStrideScale(), VecScale(), VecStrideGather(), VecStrideScatter(), VecStrideMin(), VecStrideMax()

Level:advanced
Location: src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages